Skip to main content
POST
/
environment
Create environment
curl --request POST \
  --url https://api.braintrust.dev/environment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "org_name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.

Body

application/json
name
string
required

Name of the environment

slug
string
required

A url-friendly, unique identifier for the environment within an organization

description
string | null

Textual description of the environment

org_name
string | null

For nearly all users, this parameter should be unnecessary. But in the rare case that your API key belongs to multiple organizations, you may specify the name of the organization the environment belongs in.

Response

Created environment

id
string<uuid>
required

Unique identifier for the environment

org_id
string<uuid>
required

Unique identifier for the organization that the environment belongs under

name
string
required

Name of the environment

slug
string
required

A url-friendly, unique identifier for the environment within an organization

description
string | null

Textual description of the environment

created
string<date-time> | null

Date of environment creation

deleted_at
string<date-time> | null

Date of environment deletion, or null if the environment is still active